<template>
	<view>
			<web-view :src="url">
			<cover-view class="duiba-back-btn" bindtap="handleBackTo">
				<cover-image src="//yun.duiba.com.cn/saas/images/zjzy-icons/back-btn.png" @click="openurl()"></cover-image>
				<button class="mart30 width90 height50 fcorfff backcor008 fotct btns font16"
					@click="openurl">立即打开</button>
			</cover-view>
		</web-view>
		<!-- <button open-type="launchApp" binderror="launchAppError">打开APP</button> -->
	</view>
</template>

<script>
	export default {
		data() {
			return {
				url: 'https://unionpa.dctpay.com/s/wl/WebAPP/helpAgree/page/help/shareRutineHelp.html?params=eyJlbmNyeXB0QXBwSWQiOiIxOTAwYmM4NDQ5N2NhYjNiIiwidG9MaW5rIjoiaHR0cHMlM0ElMkYlMkZoc2cuZGN0cGF5LmNvbSUyRnVuaW9uUGF5JTJGIn0='
			}
		},
		methods: {
			launchAppError(e) {
				console.log(e.detail.errMsg)
			},
			openurl() {
				location.href = this.url;
				uni.showToast({
					title: 'oooooo中',
					icon: "none",
					duration: 20000
				});
			}
		}
	}
</script>

<style lang="scss">
	.duiba-back-btn {
		position: fixed;
		z-index: 999999;
		top: 20rpx;
		left: 0;
		width: 100rpx;
		height: 50rpx;
	}
</style>
